<script setup lang="ts">
  import { CmsPageProductDetailKey } from '~/helpers/injection';

  type CmsElementLike = {
    type: 'like';
    data: {
      id: string;
    };
  };

  const props = defineProps<{
    content: CmsElementLike;
  }>();

  const productShared = inject(CmsPageProductDetailKey);

  const id = computed(() => {
    if (productShared?.value) {
      return productShared.value?.id;
    } else {
      return props.content.data.id;
    }
  });
  const { controlledClient } = useParticipants();
  const { isClient } = useUser();
  const { toggleLike, isLiked, loading: loadingLike } = useLikeItem(id);
</script>
<template>
  <SwLikeButton
    :disabled="!isClient && !controlledClient"
    variant="action"
    :is-liked="isLiked"
    :loading="loadingLike"
    :show-label="false"
    @click="toggleLike"
  />
</template>
